commit f06fbde
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Mar 3 10:40:12 2015 -0800

    Add CVE IDs for 1.12.4.
    
    Change-Id: I36b8517c59f5e93ee3840c3bfa3fdc6b8f21cbe9
    Reviewed-on: https://code.wireshark.org/review/7515
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit bcba37c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 3 14:26:13 2015 +0100

    GSM MAP: do not use a global variable to store OID
    
    Fixes an ASAN failure reported by Alexis
    
    Change-Id: I63b07ec4b6eb0698c4abf27f8fb0b1f11a19396d
    Reviewed-on: https://code.wireshark.org/review/7510
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2780a303ab0e8d293bd9be88b523de1bb02b413c)
    Conflicts:
    	asn1/gsm_map/gsm_map.cnf
    	epan/dissectors/packet-gsm_map.c
    Reviewed-on: https://code.wireshark.org/review/7513

commit 63bbd10
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Mar 2 12:21:40 2015 -0800

    More 1.12.4 prep.
    
    Change-Id: Ia2ea3454daafb30737eeefa920842129beeefa65
    Reviewed-on: https://code.wireshark.org/review/7500
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 957412f
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Mar 1 18:45:24 2015 -0500

    scsi-osd: fix overflow leading to infinite loop
    
    Thanks to Vlad Tsyrklevich for the report.
    
    Bug: 11024
    Change-Id: I9defc6fc72339b2f6ba12b46172b776d798647cd
    Reviewed-on: https://code.wireshark.org/review/7463
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit c35ca6c051adb28c321db54cc138f18637977c9a)
    Reviewed-on: https://code.wireshark.org/review/7485

commit c654450
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Mar 1 18:33:10 2015 -0500

    tnef: fix overflow leading to infinite loop
    
    Thanks to Vlad Tsyrklevich for the report, and Fabian Yamaguchi for the "joern"
    tool which found the bug.
    
    Bug: 11023
    Change-Id: I53bc998c9934736698e7db5eba09a14e79a7c633
    Reviewed-on: https://code.wireshark.org/review/7461
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 608cf324b3962877e9699f3e81e8f82ac9f1ea14)
    Reviewed-on: https://code.wireshark.org/review/7486
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3cbac0e
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Sun Mar 1 21:15:27 2015 -0500

    RTP player: don't crash when drawing channel graphs for very long calls.
    
    X11 can't handle pixmaps more than 32k pixels wide so don't try to feed it
    one.  This avoids crashes with the complaint "BadAlloc (insufficient
    resources for operation)".  Instead we simply truncate the graph (and tell the
    user).  Do this in a way that shows the user the empty portion of the graph.
    
    Hopefully the Qt port can fix this properly.
    
    Note: the bug report says that MacOS is not affected but it should be.  So
    apply this fix for all on-Windows systems.
    
    Bug: 2630
    Change-Id: I71e1bd2f9a62792db06ce887e2bbe7a96d110e0a
    Reviewed-on: https://code.wireshark.org/review/7464
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 701be1f052922aa00288a8c28c42ee358587b7fb)
    Reviewed-on: https://code.wireshark.org/review/7478
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit e7c6aba
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 1 08:09:40 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-03-01]
    
    Change-Id: Ieb5b3a2475923c3cc8d7f7569ae16c25f074a08f
    Reviewed-on: https://code.wireshark.org/review/7455
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c36831f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Feb 28 23:12:12 2015 -0800

    "Break" the Acme reader so that the tests work.
    
    We don't want to have to change the pcap-ng file against which we
    compare, so we hardcode the year here to be the same as the year from
    the pcap-ng capture.
    
    Change-Id: Ibd83d06e035341f617b8285f6ba51c749c38a177
    Reviewed-on: https://code.wireshark.org/review/7448
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 56446270f98a626a835076369d30cc33c1fc4ddf)
    Reviewed-on: https://code.wireshark.org/review/7449

commit 703de80
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Feb 28 18:57:47 2015 -0800

    Call TIMEDEFVn macros in all PACKET_DESCRIBE() macros.
    
    Create TIMEDEFV10() and, for it and for V20, V21, and V22, undefine the
    ones used for the read routine and define dummy ones for the read-seek
    routines (as those record formats have relative, not absolute, times).
    
    Have all of them set presence_flags.
    
    That way:
    
    1) if we *can* set the time stamps in the seek-read routine, we do;
    
    2) we always set presence_flags in read and seek-read routines.
    
    Change-Id: I837507245e8a0cbc68c7c5fd8365f474d085488e
    Reviewed-on: https://code.wireshark.org/review/7445
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0f3ae32290cd9d81d2c20786639532a7dcbe0be9)
    Reviewed-on: https://code.wireshark.org/review/7446

commit 99a12b9
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Feb 14 15:36:09 2015 +0100

    Fix handling of invalid UAT items
    
    If the UAT file failed a field check, then the user_data pointer may be
    empty. As a result uat_save() triggers an invalid write.
    
    (Discovered while working with a dfilter_macros file having duplicate
    names for bug 10957, caught by ASAN.)
    
    The second issue fixed in this patch is that the validity of an item is
    only calculated when a new record is added. So even if the user edits
    the UAT and makes the entry valid, it would not be saved. This is solved
    by adding a new uat_update_record() function which got wires up into GTK
    and Qt.
    
    Some open-coded g_array_index and UAT[_USER]_INDEX_PTR are also
    converted.
    
    Change-Id: Ia35cfe9d2b793c65144ae7e29a1ed706b6668d99
    Reviewed-on: https://code.wireshark.org/review/7120
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/7147
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit ba919f9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Feb 27 15:21:41 2015 -0800

    Prep for 1.12.4.
    
    Change-Id: Ic3552bd25aa577a49e9987e5e46180886033f8ce
    Reviewed-on: https://code.wireshark.org/review/7435
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2a4773e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Feb 26 14:01:08 2015 +0100

    ANSI IS-637 A: ensure that num_fields is not null before calling text_decoder
    
    Bug: 11014
    Change-Id: Id2c7913d96743424380bd75c4005ec747ee7dd50
    Reviewed-on: https://code.wireshark.org/review/7412
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 123be13127d233f92b380b9ad738d1263255d4f5)
    Reviewed-on: https://code.wireshark.org/review/7417

commit c892845
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Nov 11 20:48:39 2014 -0500

    Fix a couple of (AFAICS false) may-be-used-uninitialized warnings that show up
    on the OSX 10.5 buildbot.
    
    Change-Id: I49e066feab8b980ea85371095234e96e89db71e1
    Reviewed-on: https://code.wireshark.org/review/5247
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit cfd71d7c2a736e2a4b65e6119778148808abe2fe)
    Reviewed-on: https://code.wireshark.org/review/7415

commit 98993f4
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Nov 11 15:37:04 2014 -0500

    Fix a couple of (AFAICS false) may-be-used-uninitialized warnings that show up with gcc 4.8.3.
    
    Change-Id: I71c9013670dd6e8c74e039bd252cfac2c9e95a18
    Reviewed-on: https://code.wireshark.org/review/5246
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit ea5b2343c683b3ef61b9e4904bae6ac4afb2c525)
    Reviewed-on: https://code.wireshark.org/review/7414

commit e23e1dc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Feb 26 13:35:26 2015 +0100

    SMPP: AT_STRINGZ address allocation must use the pinfo pool
    
    Fixes an ASAN failure reported by Alexis
    
    Change-Id: I33b21d148e631e8a554882283a1c7284d701af1a
    Reviewed-on: https://code.wireshark.org/review/7409
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit bcf870e2af08dff1ecab6d80caca2c6a240a04b5)
    Conflicts:
    	epan/dissectors/packet-smpp.c
    Reviewed-on: https://code.wireshark.org/review/7411

commit d7c62c8
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Feb 25 20:40:55 2015 -0500

    Restore synchronous name resolution (revert SVN rev52115).
    
    These gethostbyaddr() calls should be changed to getaddrinfo() but only in
    master.
    
    Change-Id: I7e2d31ceb0e072beb7f324336d7b145c3adbe3a0
    Reviewed-on: https://code.wireshark.org/review/7399
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit be9397b
Author: Dmitry Bazhenov <dima_b@pigeonpoint.com>
Date:   Thu Feb 26 12:59:42 2015 +0500

    Fix a couple of bugs in IPMI dissector:
    
    * Fix incorrect offset for Block Selector field
      in Get LAN Configuration Parameter request.
    * Expect 0x83 completion code ("Attempt to read write-only parameter")
      for Get LAN Configuration Parameter command instead of
      Set LAN Configuration Parameter command.
    
    Change-Id: I5be37c5f96db91b70329bfce906ce76f7b8b6958
    Reviewed-on: https://code.wireshark.org/review/7403
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit b034870a4d318f5071ccd443f274fd610ee685f5)
    Reviewed-on: https://code.wireshark.org/review/7405

commit acbd5ac
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 25 13:04:59 2015 -0800

    Make the V10 path a bit more like the other paths.
    
    Provide {FULL,PART}SIZEDEFV10 macros, similar to what's provided for the
    other versions, containing the code to set the packet length and
    captured data length, and use the TRACE_V10_REC_LEN_OFF() macro directly
    after that to set the various length and offset values in the
    pseudo-header.
    
    Change-Id: I28e7986f29f4ef4f3542098f16e6f7dfa6cec691
    Reviewed-on: https://code.wireshark.org/review/7394
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 572ce10
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Feb 25 17:49:31 2015 +0100

    ATN-CPDLC: never put a break in a TRY block
    
    It will skip the execution of ENDTRY block
    
    Bug: 9952
    Change-Id: I55af248b7d31cf1b75aae695ef8c149367791820
    Reviewed-on: https://code.wireshark.org/review/7391
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1a3dd349233a4ee3e69295c8e79f9a216027037e)
    Conflicts:
    	epan/dissectors/packet-atn-cpdlc.c
    Reviewed-on: https://code.wireshark.org/review/7392

commit ee771c7
Author: unknown <drkor@hotbox.ru>
Date:   Mon Feb 23 21:19:30 2015 +0300

    BSSMAP: VGCS/VBS Assignment Request wrong first parameter
    
    According to specification first mandatary parameter is Channel Type (BE_CHAN_TYPE)
    but not Current Channel Type 1 (BE_CURR_CHAN_1).
    And also "Channel Type" is TLV but not TV type.
    
    Change-Id: I740dc10930a854fcb1cf2e09a19d57a16f8cf33e
    Reviewed-on: https://code.wireshark.org/review/7330
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5e34492a7e0196baa9e14d004477d1c233d38650)
    Conflicts:
    	epan/dissectors/packet-gsm_a_bssmap.c
    Reviewed-on: https://code.wireshark.org/review/7384
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c2a1fc8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Feb 19 22:32:31 2015 +0100

    jmirror packet dissector expects ipv6 flow label = 0
    
    When the ipv6 flow label is non-zero the dissector does not detect the payload as being ipv6.
    
    Issue reported by Shehan Perera
    
    Bug:10976
    Change-Id: I1de4966dfefd1afa9bb51b9a7570091aad59fbdd
    Reviewed-on: https://code.wireshark.org/review/7260
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 306c819e49664e689722fdb5b596765903ffbc48)
    Reviewed-on: https://code.wireshark.org/review/7382
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2d151f1
Author: Jeroen Sack <jeroen@jeroensack.nl>
Date:   Sun Feb 22 21:37:42 2015 +0100

    L2CAP information message contained two bits that were wrongly dissected.
    
    Change-Id: I308b6ed1a3953676212b9c0bb6cd7fc180210534
    Reviewed-on: https://code.wireshark.org/review/7323
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    (cherry picked from commit 4c994e3bd314733bf3ca15fed76860dfdb37cab4)
    Reviewed-on: https://code.wireshark.org/review/7380
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 10c1634
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 25 00:11:56 2015 -0800

    Make the _offset values static constants.
    
    No need to export them outside this file, and making them constants
    might convince the compiler not to bother fetching their values from
    memory when referring to them.
    
    Change-Id: Ic110513393a303036aa0b7980a0e8776500ab3b0
    Reviewed-on: https://code.wireshark.org/review/7379
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8499a9f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 22:11:57 2015 -0800

    Have a PACKET_DESCRIBE() for V30's seek-read routine.
    
    That way it'll set the captured length and reported length the same way
    it's done in the read routine.
    
    Change-Id: I8b1f2d0d8fa688f44b6f61f16dc2e21b5648fc12
    Reviewed-on: https://code.wireshark.org/review/7376
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6b6c11c3c34b31234c277142d8aa83c151583e5c)
    Reviewed-on: https://code.wireshark.org/review/7377

commit caec90e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 21:23:32 2015 -0800

    Make the V10 PACKET_DESCRIBE() macro a little more like the others.
    
    Rename the V10 PACKET_DESCRIBE()'s "fpp" argument to "type", and have it
    declare the pointer variable.
    
    Change-Id: Iefbf0f12178695556f52c391e6c3467c8993d51d
    Reviewed-on: https://code.wireshark.org/review/7375
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e780e98
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 20:25:13 2015 -0800

    Rename the "type" argument to V10's PACKET_DESCRIBE() to "ver".
    
    Move it in the argument list, and use it instead of a hard-coded 10
    (even though it's always passed as 10), to match the other
    PACKET_DESCRIBE() macros.
    
    Change-Id: Id2b1e090a24c5429fb62bc22f7bde7c0da85262f
    Reviewed-on: https://code.wireshark.org/review/7373
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e238b98
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 20:14:36 2015 -0800

    Call the version-number argument to GENERATE_CASE_xxx() "ver".
    
    The name "type" is thrown around to mean both a version number and a
    part of a structure member, and some other macros use "ver" for the
    version number; try to make things a little less inconsistent.
    
    Change-Id: Ibee3b79d105ce953ba496e891a5c167c54d070cc
    Reviewed-on: https://code.wireshark.org/review/7371
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit abe5692
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 19:12:35 2015 -0800

    Use FULL/PART as an argument to all PACKET_DESCRIBE() macros.
    
    Makes the various flavors of that macro more similar.
    
    Change-Id: Ie95ee8db0b226458146b055b54b7d61835f1e508
    Reviewed-on: https://code.wireshark.org/review/7368
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit fc6df642be25cbd24ea84e9d338b9d2a0e6c164f)
    Reviewed-on: https://code.wireshark.org/review/7369

commit 82e639a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 19:00:17 2015 -0800

    Get rid of an unused argument to PACKET_DESCRIBE().
    
    Change-Id: I3bc64ab866f8ddca92393d0b9ab3fba3de91e06a
    Reviewed-on: https://code.wireshark.org/review/7367
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6346e81
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 16:15:13 2015 -0800

    Give all PACKET_DESCRIBE() macros a HEADERVER argument.
    
    A bit of regularization.
    
    Change-Id: I60e0bd50891e1ba3e9c40f8d1d14d63534e08138
    Reviewed-on: https://code.wireshark.org/review/7364
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 04b6b56228abca90c3e0db179318dd23ea16621c)
    Reviewed-on: https://code.wireshark.org/review/7365

commit ddc789d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 16:12:30 2015 -0800

    White space cleanups.
    
    Change-Id: I7e9bc101ceadca9bae4eeba6f3ca2a4e8f69b704
    Reviewed-on: https://code.wireshark.org/review/7363
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4db9cce
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 16:06:49 2015 -0800

    Call header version arguments HEADERVER.
    
    Use that rather than TYPE or acttype (to indicate that it's a header
    version number to use as the "xxx" in NSPR_HEADER_VERSIONxxx, and to use
    the same name throughout).
    
    Change-Id: Ic636097479341e59f2e73270d25c8a5eb14cf727
    Reviewed-on: https://code.wireshark.org/review/7362
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1f6916e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 14:32:28 2015 -0800

    More indentation cleanups.
    
    Change-Id: Ibd8106ab6cc2f2e957f058d3962a9b100f1dae6d
    Reviewed-on: https://code.wireshark.org/review/7360
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2d7055f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 14:28:21 2015 -0800

    Clean up indentation.
    
    Change-Id: I80f8c5c642ebc1fe0169e39c1af9584cfbb89d1a
    Reviewed-on: https://code.wireshark.org/review/7357
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0dc5edfe9588e6cc243e432dccdcdd3395481c0e)
    Reviewed-on: https://code.wireshark.org/review/7358

commit 933ca8d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 14:22:24 2015 -0800

    Pull more into PACKET_DESCRIBE() for the V10 seek-read routine.
    
    Just like the read routine.
    
    Change-Id: If6bd98bea15f1c8dc7454a5dac0ea57920bddc8c
    Reviewed-on: https://code.wireshark.org/review/7355
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 37c09e35b003a37465bf84c2fd7487a70d6201f3)
    Reviewed-on: https://code.wireshark.org/review/7356

commit 6b32774
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 13:56:16 2015 -0800

    Swallow up more V10 stuff into PACKET_DESCRIBE().
    
    That makes it even more like V2x and V3x and slightly less unclear.
    
    Change-Id: Ic180656f6d7987f73afd6cd15b6e0d1fcb762fae
    Reviewed-on: https://code.wireshark.org/review/7354
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit efb0761
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 13:21:51 2015 -0800

    Have PACKET_DESCRIBE() for V10.
    
    Have it set the record type and initialize the presence bits.
    
    That makes it a bit more like V2x and V3x, and makes the code slightly
    less unclear.
    
    Change-Id: Ibfbe2143b24a68c3fa3f576616fde81918b01feb
    Reviewed-on: https://code.wireshark.org/review/7351
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 2a31311f81ac7171fd755424b0ce3f9d9aed2796)
    Reviewed-on: https://code.wireshark.org/review/7352

commit 7ee27cf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 24 13:02:31 2015 -0800

    Move the setting of rec_type.
    
    This makes the code slightly less unclear.  (You are in a maze of twisty
    little C macros, all different.)
    
    Change-Id: I9f1bcc7a9a1a7afe87ede8b1ba513e3d8e53845c
    Reviewed-on: https://code.wireshark.org/review/7349
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit fe5aea7c625cde22ffa61081193936e3105079dc)
    Reviewed-on: https://code.wireshark.org/review/7350

commit 49ec8ed
Author: ranushekhar <ranushekhar@gmail.com>
Date:   Mon Feb 23 18:17:33 2015 +0530

    NS Trace (NetScaler Trace) file format is not able to export specified packets
    
    Bug: 10998
    Change-Id: Ic2c5ad5b01be3e0c39b1e93badcc4f2246c420fe
    Reviewed-on: https://code.wireshark.org/review/7327
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c466d401d9c41c837010f8c4b9da22727577192b)
    Reviewed-on: https://code.wireshark.org/review/7348
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0c7032c
Author: Daniel Mack <daniel@zonque.org>
Date:   Tue Feb 24 00:50:19 2015 +0100

    pcap-common: fix build error with gcc5
    
    gcc5 complains about the issue below, so add a trivial fixup.
    
      CC       libwiretap_la-pcap-common.lo
    pcap-common.c: In function 'pcap_byteswap_nflog_pseudoheader':
    pcap-common.c:1290:30: error: logical not is only applied to the left hand side of comparison [-Werror=logical-not-parentheses]
      if (!(nfhdr->nflog_version) == 0) {
                                  ^
    cc1: all warnings being treated as errors
    
    Change-Id: I9f5b090ffd564f203cc3fb4ff302f2e4752865f0
    Reviewed-on: https://code.wireshark.org/review/7336
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a6f4bdb874169b7ac6564fa5c17be95fed0aa8ef)
    Reviewed-on: https://code.wireshark.org/review/7343

commit f49ab95
Author: Daniel Mack <daniel@zonque.org>
Date:   Tue Feb 24 09:32:38 2015 +0100

    epan: fix build error with gcc5
    
    gcc5 bails out with the below error.
    
      CC       libwireshark_la-tvbparse.lo
      CC       libwireshark_la-tvbuff_base64.lo
    tvbparse.c: In function 'cond_not_char':
    tvbparse.c:254:18: error: logical not is only applied to the left hand side of comparison [-Werror=logical-not-parentheses]
         if (! offset < tt->end_offset ) {
                      ^
    cc1: all warnings being treated as errors
    Makefile:1843: recipe for target 'libwireshark_la-tvbparse.lo' failed
    
    Change-Id: I4e8654e97079da6b39be580fc766eecefb4c7ea6
    Reviewed-on: https://code.wireshark.org/review/7339
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b125feae219aaa7afcd10a96a50863cdd83f5bd2)
    Reviewed-on: https://code.wireshark.org/review/7341

commit bb85d50
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Feb 23 13:05:46 2015 +0100

    ui/gtk: use GTK+ 2 name for control keys
    
    The GDK_KEY_* names are part of GTK+ 3, GTK+ 2 does not have the _KEY_
    infix. See
    https://developer.gnome.org/gtk3/stable/gtk-migrating-2-to-3.html#id-1.6.3.3.6
    
    Fixes regression from "ui/gtk: fix control combos such as ctrl-a,
    ctrl-c".
    
    Change-Id: I4d470212d172f978c171e54ff7377ddc211817ac
    Reviewed-on: https://code.wireshark.org/review/7325
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit 966766694cb06e50598c550c312a14fde5b31a5b)
    Reviewed-on: https://code.wireshark.org/review/7326

commit a86a915
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Feb 20 16:09:06 2015 +0100

    ui/gtk: fix control combos such as ctrl-a, ctrl-c
    
    Ignore any Ctrl combinations to allow pasting to work. Regression
    introduced in "gtk: fix crash on Broadway GDK backend".
    
    Change-Id: I3d53db2d224cb604b52081002ff923c8684a8d0a
    Reviewed-on: https://code.wireshark.org/review/7276
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit 1a10f5f2b470dede438ac33c25e0cb86c8e12e17)
    Reviewed-on: https://code.wireshark.org/review/7277
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 1960295
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Feb 22 12:24:21 2015 -0800

    Put back the padding, but do zero-padding.
    
    "0x", followed by a blank-padded hex string, looks silly.  Zero-pad
    instead.
    
    Change-Id: I3d7f0dfaea925e89759ed901e926b05db01e440b
    Reviewed-on: https://code.wireshark.org/review/7322
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a3fe006
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Feb 22 11:54:56 2015 -0800

    Put back address family field.
    
    Change-Id: I89d60f78a0c834663c426f5ec50c6033ba9f99e1
    Reviewed-on: https://code.wireshark.org/review/7318
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 066ae911376dd352ed6cb19b5498aed07cd13285)
    Reviewed-on: https://code.wireshark.org/review/7319

commit 20fa170
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Feb 22 11:51:45 2015 -0800

    Fix build error.
    
    1.12 didn't have the changes to use an enum for those return values (and
    also spoke of I/O errors).
    
    Change-Id: I2a21358c34584b873c86d551dd20e21582124123
    Reviewed-on: https://code.wireshark.org/review/7317
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6457715
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Feb 22 11:24:33 2015 -0800

    Use file extensions even more as a heuristic.
    
    If a file type has a list of "typical" extensions, and a file has an
    extension that is *not* one of those extensions, the file is unlikely to
    be of that type.
    
    For files that have extensions, after we try the heuristics that have a
    list of "typical" extensions that includes the file's extension, try the
    heuristics that have no such list, and after that try the heuristics
    that have such a list but where the list *doesn't* include the file's
    extension.
    
    This fixes, for example, some cases where non-PacketLogger files were
    getting identified as PacketLogger files.
    
    Change-Id: I2d8c3b983ed6ccd692beb888668f77eb9b5f437b
    Reviewed-on: https://code.wireshark.org/review/7315
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 99ff8baed6f36d36a61b0ce9794be27d55eaa700)
    Reviewed-on: https://code.wireshark.org/review/7316

commit d8fd860
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 22 08:08:55 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-02-22]
    
    Change-Id: I81dc7ab37f7b32b137712832645e6ccbcdbafb38
    Reviewed-on: https://code.wireshark.org/review/7310
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit afc48b4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Feb 21 18:48:21 2015 -0800

    FT_{U}INT64 doesn't work with BASE_CUSTOM.
    
    This is the 1.12 branch, so we do a quick fix:
    
    Get rid of the one place we're using it.
    
    Reject it in tmp_fld_check_assert(), so using it will blow up early in
    the initialization process rather than blowing up when dissecting.
    
    In cases that, with the tmp_fld_check_assert() change, "should not
    happen", and where we might *not* be executing in the context of a
    dissector (filling in the field label can be done lazily, being deferred
    to "print" time, and that doesn't happen in the context of a dissector),
    use g_assert_not_reached() rather than DISSECTOR_ASSERT_NOT_REACHED() -
    the latter throws an assertion that's not caught if we're not doing
    dissection, so we crash anyway.
    
    Bug: 10983
    Change-Id: Id4cb1b8ed17cab976b8151e41ec6b6b79478214d
    Reviewed-on: https://code.wireshark.org/review/7304
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit aee8075
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 28 15:52:07 2014 +0100

    http: properly calculate end of chunked response
    
    It was previously assumed that the remainder of a packet contains a
    chunked-body response. This does not have be the case, and if the
    assumption is violated, then the dissector would add multiple parts to a
    single "De-chunked entity body".
    
    This patch properly calculates the end of a chunked-body response,
    taking the optional trailer-part into account and adjusting the size of
    the chunked-body data as needed.
    
    The CRLF in last-chunk that was previously dissected as "Chunk Boundary"
    is the last CRLF that closes chunked-body, it is not part of last-chunk
    (as it has no chunk-data to terminate).
    
    A new header field is added for this trailer-part (RFC 7230 sec. 4.1).
    
    Bug: 10707
    Change-Id: Ifef1cc7dd0443edca4198eb1c27f58719f85fa9f
    Reviewed-on: https://code.wireshark.org/review/5526
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 6ee78f3be167807b9e2790b8f88f14ea1a4c9462)
    (Conflicts due to context difference due to
    e3a04bb392824781b8a3ef6ec98a37ef96c6c827 ("Ensure dissector data
    parameter is used instead ..."); Drop proto_tree_add_subtree conversion
    from 1.99 since it is missing in 1.12)
    Reviewed-on: https://code.wireshark.org/review/7219

commit b9c0644
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Dec 20 00:57:20 2014 -0800

    Fix typo.
    
    One position off on the keyboard and everything falls apart.
    
    Change-Id: I00909ca3344642d3eeaae0d8563403b56cc62f79
    Reviewed-on: https://code.wireshark.org/review/5912
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 79b5bb418bc3834a842c86371eac47cb39706426)
    Reviewed-on: https://code.wireshark.org/review/7217
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4e95af7
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Fri Feb 20 19:44:16 2015 +0100

    Fix CMake builds
    
    Change-Id: I9a8bec7aef27ac8101ba8d268b3f99679a0bae42
    Reviewed-on: https://code.wireshark.org/review/7280
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b1759d3
Author: Dario Lombardo <lomato@gmail.com>
Date:   Wed Feb 18 23:55:51 2015 +0100

    Bugfix in nbns dissector.
    
    Change-Id: I5375a1ae2e48fe0c7ff6e3dde24b8d7b02b1f27f
    Reviewed-on: https://code.wireshark.org/review/7251
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9fba8c88625d389ea12d09dbbc073ced9d65c782)
    Reviewed-on: https://code.wireshark.org/review/7258
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 321d657
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Feb 17 18:30:14 2015 +0100

    H.248: fix dissection of ServiceChangeReason for version 1
    
    My understanding of RFC 3015 is that the encoding of this field was not different in version 1 compared to newer releases
    
    Bug: 10879
    Change-Id: Iaa81679388860c0df4adc673ca6e56aff6f4591c
    Reviewed-on: https://code.wireshark.org/review/7195
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 3a79d04626f2ee1e03040c545fc996a4aec96a76)
    Conflicts:
    	asn1/h248/h248.cnf
    	epan/dissectors/packet-h248.c
    Reviewed-on: https://code.wireshark.org/review/7242
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 1ce91c0
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Feb 17 19:26:51 2015 -0500

    Corrected display format for EUI-64
    
    Based off of edf05db347d70c25bdc70247a37e8b95045f5dc6
    
    Change-Id: I6a9183a3648c3cc5981232c5b5ff4736beadae5a
    Reviewed-on: https://code.wireshark.org/review/7220
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 733f142
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 17 14:56:31 2015 -0800

    Make it a bit more like the way it was before all these changes.
    
    Change-Id: I9fc0ef50574a7e068c32e3f6ffeb3634df9474d4
    Reviewed-on: https://code.wireshark.org/review/7212
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-on: https://code.wireshark.org/review/7215

commit 80653ca
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 17 14:54:37 2015 -0800

    A UAT's update is expected to set *error; do so.
    
    Its callers treat a non-null error pointer as a failure and a null error
    pointer as a success, so it has to set *error, even if it's only setting
    it to NULL.
    
    Change-Id: I52d671b0dbc0737cd856339f6ccafddd4ab320aa
    Reviewed-on: https://code.wireshark.org/review/7213
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 309a847
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Feb 14 17:59:27 2015 +0100

    Fix duplicate Display Filter Macro check
    
    Since commit 4a1bd75b60171d781dc9f2d3ffd6d498acc74b1a
    (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7471), the data
    pointer does not match anything from the macros array.
    
    This patch fixes a false warning by checking for duplicates before the
    name is committed.
    
    Bug: 10957
    Change-Id: I5e90240614774cfb2977f0b90fd3d48dc5428076
    Reviewed-on: https://code.wireshark.org/review/7119
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/7209
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2cd23a4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Feb 13 17:58:25 2015 +0100

    CMIP: get rid of some evil global variables
    
    Fixes an ASAN failure reported by Alexis
    Note that some global variables remain as I do not know enough on this protocol to safely remove them
    
    Change-Id: If392a8f09ef2fc2f2d46871a71149e29fe5e292c
    Reviewed-on: https://code.wireshark.org/review/7099
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit fd870e34e865e5d8e1114b8b6d9394355989a617)
    Conflicts:
    	epan/dissectors/packet-cmip.c
    Reviewed-on: https://code.wireshark.org/review/7205

commit be37246
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Mon Feb 16 22:32:25 2015 -0500

    Don't send an effectively empty message (no TVBs) to the SCTP tap.
    
    This prevents the tap from crashing (asserting out) because there's no
    (initialized) TVB to look at.
    
    Bug: 9849
    Change-Id: I370a49ef32a67e504c30cf1762a2180bf13c56ca
    Reviewed-on: https://code.wireshark.org/review/7190
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 0da88ba505188518a1b9ba055ccfc5e01d4ec505)
    Reviewed-on: https://code.wireshark.org/review/7194
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit c067619
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Feb 16 03:14:53 2015 +0000

    Revert "Fix duplicate Display Filter Macro check"
    
    This reverts commit 225d3bfe7684777a614e3062eb9fba19c69b0dab.
    
    This is not a simple cherry-pick; backporting this fix will have to be done manually.
    
    Change-Id: I750a1b4c07efa619d6154771be8638d459cd1eec
    Reviewed-on: https://code.wireshark.org/review/7153
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 225d3bf
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Feb 15 18:56:06 2015 -0500

    Fix duplicate Display Filter Macro check
    
    Since commit 4a1bd75b60171d781dc9f2d3ffd6d498acc74b1a
    (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7471), the data
    pointer does not match anything from the macros array.
    
    This patch fixes a false warning by checking for duplicates before the
    name is committed.
    
    Bug: 10957
    Change-Id: Id61110bf63de1de80b85524705a2df6a5e7be33a
    Reviewed-on: https://code.wireshark.org/review/7119
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/7146

commit a72c356
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Feb 15 14:03:12 2015 -0800

    Don't base interpretation of LINKTYPE_ values on DLT_ value definitions.
    
    Instead, explicitly check for particular build platforms.  This means
    that the interpretation of the link-layer type values with different
    meanings on different platforms won't be dependent on the particular
    version of libpcap with which Wireshark happens to be built, and also
    means that we don't have to fix pcap-common.c to include pcap.h or
    net/bpf.h.
    
    Fix some comments while we're at it.
    
    Bug: 10956
    Change-Id: If331d9b92081fb0bdf416620fb2ad8dce57dea6b
    Reviewed-on: https://code.wireshark.org/review/7140
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1917023fc157b896a23349c0eca8c95f22f2fb6f)
    Reviewed-on: https://code.wireshark.org/review/7141

commit 75e735b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Feb 15 20:15:59 2015 +0100

    DHCPv6: add missing braces
    
    Bug: 10964
    Change-Id: I7bb108052e0c43d9aa73fe8161419ea0bf73601d
    Reviewed-on: https://code.wireshark.org/review/7139
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0191876
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 15 08:07:53 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-02-15]
    
    Change-Id: If57095c039ffca684cc140216cfc29340abb1473
    Reviewed-on: https://code.wireshark.org/review/7131
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8300429
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Feb 14 13:03:45 2015 +0100

    MIP6: Local Mobility Anchor Address mobility option code is treated incorrectly
    
    The first packet is an IPv6 packet with Local Mobility Anchor Address mobility option with Option-Code=1. Wireshark parses its address as IPv4 address.
    
    The second packet is an IPv6 packet with Local Mobility Anchor Address mobility option with Option-Code=2. Wireshark parses its address as IPv6 address.
    
    According to RFC 5949 (https://tools.ietf.org/html/rfc5949#section-6.2.2), Option-Code=1 means IPv6 and Option-Code=2 means IPv4, exactly the opposite to what Wireshark does.
    
    Bug: 10961
    Change-Id: I03b76dda8beae211e67e6c9e1f40d122e851b1b5
    Reviewed-on: https://code.wireshark.org/review/7113
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ca534b1561c70f7d882d9d00bacf242a23346365)
    Reviewed-on: https://code.wireshark.org/review/7116

commit 0277920
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Feb 14 12:47:38 2015 +0100

    MIP6: AUTH mobility option parses Mobility SPI and Authentication Data incorrectly
    
    The authentication data in the AUTH option in attached IPv6 packet contains one byte too much. This byte is read beyond the option data.
    In Wireshark, clicking on the AUTH shows that the option ends at 0xCE while clicking on the Authentication Data shows that it ends at 0xCF.
    
    Reported by Boaz
    
    Bug:10626
    Change-Id: I0bcfd6331bc1de30f25d16590487c0e3bf5c002f
    Reviewed-on: https://code.wireshark.org/review/7112
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 847f59096304a7aeebf7e9c498986cb05b960540)
    Reviewed-on: https://code.wireshark.org/review/7114

commit 56a5143
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Feb 12 14:32:12 2015 +0100

    Gryphon: do not use col_set_str with non constant strings
    
    Fixes an ASAN failure reported by Alexis
    
    Change-Id: I68e5c55ec4090766ef5f003f44093ce3c268a82a
    Reviewed-on: https://code.wireshark.org/review/7082
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit ef21740e25f6e9c759852844fec8507e8c80f4dd)
    Reviewed-on: https://code.wireshark.org/review/7083

commit f651c8d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Feb 10 15:22:13 2015 +0100

    Do not iterate over reported length when using tvb_find_line_end
    
    if captured length < reported length, this will trigger an infinite loop
    
    Change-Id: I1e4dac08ef827851da3a6d410133cb0e7bab2738
    Reviewed-on: https://code.wireshark.org/review/7056
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 268fd52
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Feb 10 07:09:56 2015 +0100

    FTAM: get rid of an evil global variable
    
    Fixes an ASAN failure reported by Alexis
    
    Change-Id: Id0ddad6451e22ffc53d42985e9b2071c7388d15b
    Reviewed-on: https://code.wireshark.org/review/7049
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 29be26c4b3b387027abcab3c859643f0ee12e5cf)
    Conflicts:
    	epan/dissectors/packet-ftam.c
    Reviewed-on: https://code.wireshark.org/review/7054

commit 8b33b38
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Feb 7 21:54:39 2015 +0100

    DNS: LOC Precision missing units
    
    The DNS packet's 3rd additional RR is a LOC RR.
    In the LOC RR, Wireshark marks the Size field with meters unit.
    However, the Horizontal and Vertical Precision fields have no units
    
    Issue reported by Boaz
    
    Bug:10940
    Change-Id: If177757d2bba6ea012a320aceaea2f8d8e50155c
    Reviewed-on: https://code.wireshark.org/review/7014
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 3b81c360ded5b81d9affe324435f358590220341)
    Reviewed-on: https://code.wireshark.org/review/7035

commit f5232d6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 8 08:09:35 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-02-08]
    
    Change-Id: I068f56b07b1d6eaa20cb423c0721c9b98514698f
    Reviewed-on: https://code.wireshark.org/review/7026
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d454818
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Feb 7 22:44:10 2015 -0500

    dwarf: fix bug found by MSVC2013 Code Analysis
    
    The following doesn't quite do what it might seem to be doing:
    
    *value |= (byte & 0x7F) << shift;  //guint64 *value // guint8 byte
    
    The warning from MSVC2013:
     Arithmetic overflow:  32-bit value is shifted, then cast to 64-bit
     value. Results might not be an expected value
    
    Change-Id: I06e196559ec0e84da77d8866355ae7f86ba43f73
    Reviewed-on: https://code.wireshark.org/review/7021
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 5a03e8d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 17:07:41 2014 +0100

    MIPv6: Mobility Header Link Layer Address is parsed incorrectly
    
    Looking at RFC 5568 (http://tools.ietf.org/html/rfc5568#section-6.4.3)
    It says that the Link-Layer Address (LLA) Option, should have an address right after the option code
    
    Bug:10006
    Bug:10627
    Change-Id: I6fcd98a7c9896862e4c9547b945cf3848daaf474
    Reviewed-on: https://code.wireshark.org/review/5075
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f3cc900714c3b588447adcec7a18a1ccf60ebfcb)
    Reviewed-on: https://code.wireshark.org/review/7013
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit b63b257
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Oct 26 11:08:35 2014 +0100

    DNS NXT RR is parsed incorrectly
    
    The queries RRs and answers RRs are parsed fine.
    However, only the first 2 authoritative RRs are parsed and none of the 3 additional RRs are parsed.
    The second authoritative RR is of type NXT, and even though it has data length of 9, Wireshark reads all the bytes until the end of the packet as if they are part of bitmap in this RR (it reads 317 bytes too many).
    This causes it to not parse the rest of the RRs correctly.
    
    Found by boaz
    
    Bug:10615
    Change-Id: I22e5987c44a11399b07c3106fbb70c6e9e867afe
    Reviewed-on: https://code.wireshark.org/review/4940
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 09957ca41875abda6e9ea24f35eb15f93dacb618)
    Reviewed-on: https://code.wireshark.org/review/7007
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit baff3a3
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Feb 6 16:18:30 2015 -0500

    cfdp: Fix bug ("Labeled code is unreachable")
    
    Found by MSVC2013 Code Analysis
    
    Change-Id: If8138ff3eab7daa1da728781314f8024e36545be
    Reviewed-on: https://code.wireshark.org/review/6993
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c73bab0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Jan 31 02:26:57 2015 +0100

    README.dissector: fixed p_add_proto_data params
    
    frame_data has long been gone. struct _packet_info is the same as
    packet_info, just use that for brevity.
    
    Reviewed-on: https://code.wireshark.org/review/6865
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 6284040623f87d7a4b8323b51538fa4baa1d57a3)
    
    Conflicts:
    	doc/README.dissector
    Change-Id: Ieb02bf6b642d728a7f80087f5cd750b9691e34e9
    Reviewed-on: https://code.wireshark.org/review/6897
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 62f5451
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Feb 1 12:47:13 2015 -0500

    dlm3: col_...() shouldn't be called under 'if (tree)'
    
    Change-Id: I577dbfacf13854c74a430d7abec20faca3f0985b
    Reviewed-on: https://code.wireshark.org/review/6892
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 108ead4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 1 08:10:30 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-02-01]
    
    Change-Id: Ib6175b488455658373b234171bd723d7b8b23f5b
    Reviewed-on: https://code.wireshark.org/review/6888
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c440603
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 29 21:20:48 2015 +0100

    BSSGP: ensure that all Optional / Conditional Information Elements are treated as such
    
    Bug: 10903
    Change-Id: I8f6b970a6988fd4e700203304586c8e53dd5696b
    Reviewed-on: https://code.wireshark.org/review/6845
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 5e3936e9aaf8639d0e75c4d364450e1b440a9679)
    Conflicts:
    	epan/dissectors/packet-bssgp.c
    Reviewed-on: https://code.wireshark.org/review/6855

commit a358997
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 29 23:06:37 2015 +0100

    SDP: add ability to display port as a string
    
    Bug: 10898
    Change-Id: Ib1b5698c85cd568b8874b44690cafe391eea28f3
    Reviewed-on: https://code.wireshark.org/review/6849
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit a614212aa80a831f91ec3a2b17760d4f2c02bdeb)
    Reviewed-on: https://code.wireshark.org/review/6853

commit 424a383
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 29 13:55:00 2015 +0100

    SDP: check that media format starts with a digit before trying to identify media type
    
    Bug: 10899
    Change-Id: I92319a668ae795247d4021f32d629f5000ceb395
    Reviewed-on: https://code.wireshark.org/review/6841
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2edf8bbd33e4820c19a52a435ddb2cc8e3e32fdb)
    Reviewed-on: https://code.wireshark.org/review/6846

commit 4a680e1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 27 18:51:05 2015 +0100

    ANSI IS-637-A: prevent an out of bounds access
    
    Bug: 10897
    Change-Id: I8316ba40ec00b612e4edd490e3cd36e7277912a9
    Reviewed-on: https://code.wireshark.org/review/6824
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit d7538cbe4b0f2488e4d58fd2b0014927e7d239a6)
    Reviewed-on: https://code.wireshark.org/review/6832

commit 461bb08
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 27 12:55:05 2015 -0500

    Comment out various 'if(tree)'
    
    col..._() and/or expert...() should not be called under 'if(tree)'
    
    Change-Id: I57efe44794977d3f93e4764642b091044a125c0c
    Reviewed-on: https://code.wireshark.org/review/6826
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit d3261b2dda74a717e645cbd308bb6b31a1c9c45e)
    Reviewed-on: https://code.wireshark.org/review/6827

commit 9c3734d
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 26 13:58:01 2015 -0500

    rtp: Don't call col_...() under 'if (tree)'
    
    Change-Id: I7d75e8d02aeaa67155ec52dd0167d1692286b951
    Reviewed-on: https://code.wireshark.org/review/6800
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 5845f290eecbabb8138eaf53dd33689d8ddf8b7a)
    Reviewed-on: https://code.wireshark.org/review/6806

commit 187e028
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 26 13:31:15 2015 -0500

    rtmpt: Remove 'if (tree)'
    
    Setting a var under 'if (tree)' and then using it later (not under 'if (tree)') to affect col_...()/expert_...() is not OK.
    
    Change-Id: I144b5fa50b4550cd14c604970f5d84dbf13f3e90
    Reviewed-on: https://code.wireshark.org/review/6799
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 717b5a2ecf15b7e7ad3483fa9d8c64336f8456a5)
    Reviewed-on: https://code.wireshark.org/review/6805

commit e00fd25
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 25 15:51:01 2015 -0500

    pana, gsm_abis_oml, rsl, netrom: Remove 'if (tree)'
    
    Thou shalt not call col_...() and/or a dissector under 'if(tree)'
    
    Change-Id: Ibe62bc8229cb759d5f8b092aa7143d8e2f799037
    Reviewed-on: https://code.wireshark.org/review/6781
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Reviewed-on: https://code.wireshark.org/review/6804

commit 175ede4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 26 11:38:33 2015 -0800

    Pcapng: Don't fetch past the end of a GArray.
    
    Due to an off-by-one error an invalid ISB interface ID could make us
    fetch past the end of a GArray. Found using American Fuzzy Lop.
    
    Bug: 10895
    Change-Id: I7d4049ad7a386ae7e8013b8e741d54a31f353f1f
    Reviewed-on: https://code.wireshark.org/review/6798
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit a835c85e3d662343d7283f1dcdacb8a11d1d0727)
    Conflicts: wiretap/pcapng.c
    Reviewed-on: https://code.wireshark.org/review/6801

commit f269ffe
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Jan 24 15:58:30 2015 -0500

    Lua can free tvbuffs too early
    
    Lua-created tvbuffs should be kept around for the duration of pinfo's
    lifetime, instead of only for the duration of frame dissection. So
    instead of using the frame dissector's frame_end_routine, we'll register
    a callback to wmem for pinfo pool's allocator.
    
    Ping-Bug: 10888
    Change-Id: I3e9db671c3f2a7cab9e258aca17f3be8acaf2417
    Reviewed-on: https://code.wireshark.org/review/6768
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>
    (cherry picked from commit aec1bcf9a14116763f6fd4438173c5a953df7d18)
    Reviewed-on: https://code.wireshark.org/review/6790

commit 635506b
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jan 25 09:18:00 2015 -0500

    gsm-rlcmac: use wmem_new0 for a struct
    
    Fixes "Conditional jump or move depends on uninitialised value" from Valgrind.
    
    I couldn't really figure out how this code was supposed to function, it seems to
    initialize one member of the union and then expect *all* the others to just
    magically work (which they apparently do in most cases, oddly). The real bug
    could be in csnStreamDissector or who knows, but this at least turns "garbage
    data" into "zeros" which makes valgrind happy and turns a potential vuln into
    at worst a bad decoding.
    
    Bug: 10891
    Change-Id: Ia29dd625b46b3b76ff521b4203148fe8b0c59ec3
    Reviewed-on: https://code.wireshark.org/review/6769
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit d50b27f4ce310377c7a04d15aebac7d445c075f0)
    Reviewed-on: https://code.wireshark.org/review/6795

commit 101c1f2
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 25 12:04:14 2015 -0500

    applemidi: col_...() shouldn't be called under 'if(tree)'
    
    Change-Id: I6ae8e122f1d1e7200255b51d2017b4375045c797
    Reviewed-on: https://code.wireshark.org/review/6780
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 065304cae189c7e00e9dafd650575efaaf48b2fb)
    Reviewed-on: https://code.wireshark.org/review/6782

commit 40201fd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 25 08:09:58 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-01-25]
    
    Change-Id: I7c1f873e5fd91befdca29414e0677a5df1cb6061
    Reviewed-on: https://code.wireshark.org/review/6773
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b747dfc
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jan 23 11:48:18 2015 -0500

    Remove incorrect 'if (tree)'
    
    Incorrect because of one or both of the following:
    - col_...()/expert...() called under 'if (tree)'
    - vars set under 'if (tree)' used later (not under 'if (tree)'
       as args to col_...()/expert_...()
    
    Change-Id: I090cbbf00277d831898ff58a83a7a17ad2b04aee
    Reviewed-on: https://code.wireshark.org/review/6761
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 4acb150
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 18:16:30 2015 -0800

    Get rid of an unused variable.
    
    Change-Id: I19311c0781ddc3b5a39ca4bb1c1d524b1a535802
    Reviewed-on: https://code.wireshark.org/review/6750
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 007df12
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 18:08:26 2015 -0800

    Fix test script to test Lua Pinfo.
    
    The test script was running lua/nstime.lua rather than lua/pinfo.lua for
    the Pinfo test.
    
    Change-Id: I7e87d5e3e56cd718c1f69118e70f76cf50daaece
    Reviewed-on: https://code.wireshark.org/review/6749
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8d74f10
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jan 22 12:05:57 2015 -0500

    pppoe: col_...()/expert...() shouldn't be under 'if (tree)'
    
    Change-Id: I93726546d86af677153b6b2d46fc072851a33460
    Reviewed-on: https://code.wireshark.org/review/6741
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 96f974661550681b4bf4be78b838a8dc4ddc129b)
    Reviewed-on: https://code.wireshark.org/review/6742

commit d7efcc1
Author: Bastien Bailly <babassbailly@free.fr>
Date:   Thu Jan 22 09:50:37 2015 +0100

    GTP: Bad bytes read for extended rnc id value
    
    offset+=2; is missing and bytes used for extended rnc id value are the same that for rnc id value.
    
    Bug:10877
    Change-Id: I2830191e434812d42ab625e7a6e0478a191b7d95
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/6738
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 39a984e64915b6f34cb1fc4b42815ef08316e087)
    Reviewed-on: https://code.wireshark.org/review/6740

commit 20e59f8
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 16:55:47 2015 -0500

    isakmp: col_...() shouldn't be called under 'if (tree)'
    
    Change-Id: I6fa497ca99e2ad3b675697fd28eeafd61190a17c
    Reviewed-on: https://code.wireshark.org/review/6726
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit f7d9334f0662d7e93ecdcd431bd4cf6b1eb65030)
    Reviewed-on: https://code.wireshark.org/review/6727

commit bb582d7
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 16:19:08 2015 -0500

    synphasor: col_...() shouldn't be under 'if (tree)'
    
    Change-Id: Ie82631632e8c143a8417eae5d07e08d8aa0ddcb7
    Also: use correct 'proto_tree *' arg for several function calls.
    Reviewed-on: https://code.wireshark.org/review/6725
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 5c14a18
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 15:53:58 2015 -0500

    usb-hid: fix aminor bug
    
    Change-Id: I315ab148a00846eef6e1cde1f64cc49bffb18796
    Reviewed-on: https://code.wireshark.org/review/6724
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 4d01423
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 14:56:29 2015 -0500

    acn: col_...() shouldn't be called under 'if (tree)'
    
    Change-Id: I5d7152ad5ae3b385d18e0bfa4b37180a52dc4c63
    Reviewed-on: https://code.wireshark.org/review/6691
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 597e00b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 19 13:10:22 2015 -0800

    The times in question are local, not UTC.
    
    Revert to the older code, but just show the time as "Not representable"
    if gmtime() fails.
    
    Change-Id: I435facc042e3ca35fb07292a4b2657ccdfd02abb
    Reviewed-on: https://code.wireshark.org/review/6672
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bea25fa0d43d11ddf4f38c6b15e69a038d0e8467)
    Reviewed-on: https://code.wireshark.org/review/6679
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 4946e93
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:19:46 2015 -0500

    synphasor: prevent possible crash; gmtime() can return NULL;
    
    Don't do manual conversion of a time-field to UTC using gmtime().
    Use the standard Wireshark mechanisms.
    
    Change-Id: I2eaee074a590ecab492336bb6ad794bdd036f699
    Reviewed-on: https://code.wireshark.org/review/6661
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Reviewed-on: https://code.wireshark.org/review/6671

commit 79e5284
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:15:45 2015 -0500

    dmp, gmhdr, vssmonitoring: prevent possible crashes;
    
    gmtime()/localtime() can return NULL.
    
    Change-Id: If0589261429ee15d0c07972a99d94f9fe83626f6
    Reviewed-on: https://code.wireshark.org/review/6660
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 7e1d73d0d4d4852f14d5ac3e2dcf699d0467043b)
    Reviewed-on: https://code.wireshark.org/review/6665

commit fcc7db9
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:03:23 2015 -0500

    smb-pipe: prevent possible crash; gmtime() can return NULL.
    
    For FT_ABSOLUTE_TIME fields:
    
    Instead of calling gmtime()/mktime() to convert a time to UTC time
    which is then displayed using proto_tree_add_time(),
    
    Use ABSOLUTE_TIME_UTC as the 'display' value for the field and then
    display the field using proto_tree_add_item().
    
    Change-Id: I1926c40de76a86072437902cb7621d3873827b11
    Reviewed-on: https://code.wireshark.org/review/6659
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit d1cace99e57643a8f836803b2bc9cac50e42ac98)
    Reviewed-on: https://code.wireshark.org/review/6664

commit c1312d3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 19 21:28:52 2015 +0100

    BGP: EVPN - Route Type 4 - "Invalid length of IP Address" - "Expert Info" shows a false error
    
    Wrong offset (14 -> 20) to get IP Address Legnth
    
    Issue Reported by Rui
    Bug: 10873
    
    Reviewed-on: https://code.wireshark.org/review/6657
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit b41065e223873098385bc06b6a42a0a3a4298925)
    
    Conflicts:
    	epan/dissectors/packet-bgp.c
    
    Change-Id: Ib7aa80ac78028a2c8d548f4030278166be9ed0cc
    Reviewed-on: https://code.wireshark.org/review/6658
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 9cfc359
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jan 19 20:50:12 2015 +0100

    ZigBee: fix dissection of epoch time in OTA cluster
    
    Bug: 10872
    Change-Id: I25275ecb76cc03774ab210fb33a3bef5b1982585
    Reviewed-on: https://code.wireshark.org/review/6653
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c0fd5392af52599ee623b59ae8776857239ba007)
    Conflicts:
    	epan/dissectors/packet-zbee-zcl-general.c
    Reviewed-on: https://code.wireshark.org/review/6654

commit b48ec0b
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 18 18:41:37 2015 -0500

    smpp: Prevent crash if invalid date/time field.
    
      gmtime()/localtime() can return NULL;
    
    Bug 10868
    Change-Id: I496bab62555c7741b3d159726e74a3d14c4b51cb
    Reviewed-on: https://code.wireshark.org/review/6644
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Reviewed-on: https://code.wireshark.org/review/6646

commit 539b6b4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 18 08:07:05 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-01-18]
    
    Change-Id: Ia6171f1e260b4936a495aab8446dd78cfd50a255
    Reviewed-on: https://code.wireshark.org/review/6624
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8c2f2b2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 15:05:28 2015 +0100

    Novell PKIS: handle 64 bits contraint
    
    Change-Id: I3d18d23cdf862ba267a364bc9cd66a2241069b37
    Reviewed-on: https://code.wireshark.org/review/6618
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 438c55d
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sat Jan 17 22:40:36 2015 +0000

    Fix Lua dll for Visual Studio 2013
    
    The Lua dll is different for each version of Visual Studio, the VS2013
    variant was not specified.
    
    Change-Id: Ic41b61b19befb3c33e9bc4c188c80cf585113fde
    Reviewed-on: https://code.wireshark.org/review/6601
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>

commit 3426a1e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 12:44:10 2015 +0100

    ASN.1: regenerate dissectors after g478581a
    
    Change-Id: Ice3bde921b5aa6ef7116313435dc2b1cd722ed43
    Reviewed-on: https://code.wireshark.org/review/6614
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f68f892
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 12:22:22 2015 +0100

    LDAP: g8c608e6 did not include the changes in template file, that got lost afterwards
    
    Change-Id: I5d79d3e48c1ad83713a312dce39b749f47b0ecc8
    Reviewed-on: https://code.wireshark.org/review/6612
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c326fcaf9b0c1f0421c67a9ba4a929e19bce1054)
    Conflicts:
    	epan/dissectors/packet-ldap.c
    Reviewed-on: https://code.wireshark.org/review/6613

commit b3abc55
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 12 20:04:32 2015 +0100

    DHCP/BOOTP: Option 125 Suboption: (1) option-len always expects 1 but specification allows for more
    
    We believe this is a bug in Wireshark with Option 125 Suboption: (1)  option-len where Wireshark always expects 1 but specification is more flexible.
    Re: http://www.cablelabs.com/wp-content/uploads/specdocs/CL-SP-CANN-DHCP-Reg-I10-1308081.pdf page 15 part 4.2.2 'The DHCPv4 Option Request Option'
    
    Issue reported by Steve Krebs
    
    Bug:10784
    Change-Id: I8eced7a70877d13d925b81c0f47885609baa7633
    Reviewed-on: https://code.wireshark.org/review/6510
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit be113e8806796faf048d6c95c1141525ab5da29e)
    Reviewed-on: https://code.wireshark.org/review/6599
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 478581a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jan 17 22:43:46 2015 +0100

    X509AF: dissect Certificate Serial Number as INT64 instead of INT32
    
    Bug: 10862
    Change-Id: Ie315298dd090b3b689f6a9bfff6f6f5bf7cc715a
    Reviewed-on: https://code.wireshark.org/review/6594
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 506409d28cf727333b354a328a50e5a5f12552e9)
    Reviewed-on: https://code.wireshark.org/review/6597

commit b10f4da
Author: Russel <russel@appliedinvention.com>
Date:   Fri Jan 16 14:27:10 2015 -0800

    Correct PF field offset when looking for DA
    
    Previous code was not shifting far enough, was checking PS instead
    of PF.
    
    Change-Id: Ic0bdbb4dfaa7bdd708a49f1fb67706dd949f2607
    Reviewed-on: https://code.wireshark.org/review/6578
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ffa8bdd3cabba7fe299256ac3b4dec6679f92b60)
    Reviewed-on: https://code.wireshark.org/review/6593

commit f80b3b0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 16 18:03:03 2015 +0100

    IS-IS: wrong length for SubTLV 18 (TE default Metric)
    
    Issue found by Alexander Okonnikov
    
    Ping-Bug: 10837
    Reviewed-on: https://code.wireshark.org/review/6572
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 22543d3cec8275e96080633097a492adcb67d895)
    
    Conflicts:
    	epan/dissectors/packet-isis-lsp.c
    Change-Id: I8c1da71183f5bba50bb0bb541c259d5dba0b067d
    Reviewed-on: https://code.wireshark.org/review/6583
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0812523
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 17 14:55:22 2015 +0100

    RSYNC: Malformed Packet on rsync-version with length 2
    
    RSYNC dissector always think the resync-version length = 4
    
    Bug:10863
    Change-Id: I2dee3ff7195af110223903d79b938849666878a7
    Reviewed-on: https://code.wireshark.org/review/6584
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a38b7149084b1f07a769fe1d49f4fb25089c9b6b)
    Reviewed-on: https://code.wireshark.org/review/6586
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a980bcc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 16 18:59:12 2015 -0800

    PacketLogger files can be big-endian or little-endian.
    
    Bug: 10861
    Change-Id: I3cef4998a87efa0e65784c38aebd9909e31d3bdb
    Reviewed-on: https://code.wireshark.org/review/6580
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c59e0a8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 12 20:07:09 2015 -0800

    Do bounds checking when decompressing WCP packets.
    
    Extract the data offset and count only once, and make sure we don't run
    past the end of the data we've copied from the packet; have
    decompressed_entry() just do the decompression, rather than also
    fetching the data offset and count.
    
    Add some comments while we're at it.
    
    Bug: 10844
    Change-Id: I2dc2f9594422ffa8f15fd5c57c9dac2e30e363f4
    Reviewed-on: https://code.wireshark.org/review/6514
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b204ff4846fe84b7789893c6b1d9afbdecac5b5d)
    Reviewed-on: https://code.wireshark.org/review/6515

commit 8963e36
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 11 13:18:39 2015 -0800

    Use the GTK+ 2 name for VoidSymbol.
    
    We can use the GTK+ 2 GDK_xxx names with GTK+ 2 or 3; apparently, some
    versions of GTK+ 2 don't support the GDK_KEY_xxx names.
    
    Change-Id: I52b14a7f2273f2af2b914c3646eb33d21673057e
    Reviewed-on: https://code.wireshark.org/review/6498
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4a0ec75e4d358302cb4fdb0798f84ab5322a8869)
    Reviewed-on: https://code.wireshark.org/review/6499

commit 1d9f3db
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Dec 18 12:31:49 2014 +0100

    gtk: fix crash on Broadway GDK backend
    
    The Broadway GDK backend does never sets event->string. This results in
    a crash when filter_string_te_key_pressed_cb tries to read its contents.
    
    Since the documentation marks reading the string as deprecated, try to
    handle the character conversion here. It is based on
    _gdk_x11_event_translate_keyboard_string (from gtk+), but without trying
    to interpret Escape as '\033', and without trying to convert control
    characters (example: Ctrl + 1). A buffer of 6 bytes is used to hold a
    UTF-8 code point (there is no zero terminator, so 7 bytes as found in
    the original implementation is unnecessary).
    
    As g_locale_from_utf8 returns dynamically allocated memory, change the
    control flow to have a single exit point where pointers are freed as
    needed.
    
    Reproduce with gtk3:
    $ broadwayd :5
    $ GDK_BACKEND=broadway BROADWAY_DISPLAY=:5 wireshark-gtk
    (now open http://localhost:8085/ and start typing in the display filter)
    
    Keys tested: e € (AltGr + 5) ü (AltGr + ", u)
    In the X11 backend, these still get displayed correctly. In the broadway
    backend however, the accents are missing due to a bug in the broadway
    implementation.
    
    Change-Id: Ic1f0ee2b87cd573023ee8e966f06489b3b744dcf
    Reviewed-on: https://code.wireshark.org/review/5832
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit 74b20dca8c255672259d0c43004665d1e9f192dd)
    Reviewed-on: https://code.wireshark.org/review/6494
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 1ffee38
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jan 5 18:07:56 2015 -0500

    ieee80211: initialize bssid for data frames
    
    Hypothentical fix for
    https://bugs.launchpad.net/ubuntu/+source/wireshark/+bug/1407662 which I haven't
    actually tried.
    
    Change-Id: Ib6d30873be7676eef756731a56a1d21a41c2c16c
    Reviewed-on: https://code.wireshark.org/review/6330
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 513ed24a97062db62be1932ee017c506de25b48d)
    Reviewed-on: https://code.wireshark.org/review/6462
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c46e305
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 11 08:07:32 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-01-11]
    
    Change-Id: I935f29ddb05a69bab5cde8df570bf4a6865d0950
    Reviewed-on: https://code.wireshark.org/review/6492
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1d19433
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 9 17:12:26 2015 +0100

    IS-IS: Incorrect decoding of IPv4 Interface/Neighbor Address sub-TLVs in Extended IS Reachability TLV
    
    Correct 4-byte IPv4 address is incorrectly detected as wrong 6-byte IPv4 address and cannot be decoded (IPv4 Interface Address (sub-TLV type 6) and IPv4 Neighbor Address (sub-TLV type 8) of Extended IS Reachability TLV (TLV type 22) of IS-IS.
    
    Wrong offset for some Sub-TLV
    
    Issue found by Alexander Okonnikov
    
    Bug: 10837
    Reviewed-on: https://code.wireshark.org/review/6453
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    Conflicts:
    	epan/dissectors/packet-isis-lsp.c
    Change-Id: I81d083722da72115e1905237352650d380e9d0ac
    Reviewed-on: https://code.wireshark.org/review/6467
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 05cd2fc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 8 13:25:54 2015 -0800

    To register an SCTP port, register in "sctp.port", not "udp.port".
    
    Change-Id: I8f013b2895e42919ea0d97cdc35414ea3f5aec9b
    Reviewed-on: https://code.wireshark.org/review/6422
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4b8c66891a830716bf1569b9d6aa6742bc47f81c)
    Reviewed-on: https://code.wireshark.org/review/6423

commit add9472
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 7 16:50:23 2015 -0800

    FT_DOUBLEs are 8 bytes; use FT_FLOAT for 4-byte floating-point values.
    
    Change-Id: I4376e5885a3c1f8b80bdc6d0848f46b6583b2053
    Reviewed-on: https://code.wireshark.org/review/6387
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 12b31d2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 7 14:11:53 2015 -0800

    1.12.3 → 1.12.4.
    
    Change-Id: I57e5b7a2294077167616ff24bed0e772d455f9d4
    Reviewed-on: https://code.wireshark.org/review/6383
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
